<?php
/**
 * HappyFenceNG Total Enterprise Security Plugin
 * HAPPYWPRESS is a RazorVue Trademark.
 *
 * @package     HappyFenceNG
 * @developer   Simonluca Scillitani
 * @copyright   2025 RazorVue di Scillitani Simonluca
 * @link        https://razorvue.it
 * @author      RazorVue di Scillitani Simonluca
 * @brand       HappyWPress
 * @uri         https://happywpress.com
 * @set all
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**PHPCS -> code compliance: we put useful comments where needed.. */
enum HappyFenceNGRgm: string {

		case ID = '9DU3gTU8%rv$v6q7AiBK4Ea5b';

	/**PHPCS -> code compliance: we put useful comments where needed.. */
	public static function get_regs(): array {
			return array_filter(
				self::cases(),
				fn( $acase ) => ! in_array( $acase, array( self::ID ), true )
			);
	}
}
